Index: doc/Makefile.am
===================================================================
--- doc/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -1,6 +1,2 @@
-#
-#  $Id$
-#
-
 ACLOCAL_AMFLAGS = -I ../aclocal
 
Index: doc/ada_user/Makefile.am
===================================================================
--- doc/ada_user/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/ada_user/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = ada_user
Index: doc/bsp_howto/Makefile.am
===================================================================
--- doc/bsp_howto/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/bsp_howto/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = bsp_howto
Index: doc/cpu_supplement/Makefile.am
===================================================================
--- doc/cpu_supplement/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/cpu_supplement/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = cpu_supplement
Index: doc/develenv/Makefile.am
===================================================================
--- doc/develenv/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/develenv/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = develenv
Index: doc/filesystem/Makefile.am
===================================================================
--- doc/filesystem/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/filesystem/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = filesystem
Index: doc/networking/Makefile.am
===================================================================
--- doc/networking/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/networking/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = networking
Index: doc/new_chapters/Makefile.am
===================================================================
--- doc/new_chapters/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/new_chapters/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = new_chapters
Index: doc/porting/Makefile.am
===================================================================
--- doc/porting/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/porting/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = porting
Index: doc/posix1003.1/Makefile.am
===================================================================
--- doc/posix1003.1/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/posix1003.1/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = posix1003_1
Index: doc/posix_users/Makefile.am
===================================================================
--- doc/posix_users/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/posix_users/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = posix_users
Index: doc/relnotes/Makefile.am
===================================================================
--- doc/relnotes/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/relnotes/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = relnotes
Index: doc/shell/Makefile.am
===================================================================
--- doc/shell/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/shell/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = shell
Index: doc/started/Makefile.am
===================================================================
--- doc/started/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/started/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = started
Index: doc/user/Makefile.am
===================================================================
--- doc/user/Makefile.am	(revision f8e57718884cab5407d33d9124cc043a8b3793c1)
+++ doc/user/Makefile.am	(revision 9847d61df16fd461eff5d50cb8d93c5545ceb221)
@@ -3,7 +3,4 @@
 #  On-Line Applications Research Corporation (OAR).
 #  All rights reserved.
-#
-#  $Id$
-#
 
 PROJECT = c_user