Index: c/src/ada-tests/mptests/mp01/node1/mp01.scn
===================================================================
--- c/src/ada-tests/mptests/mp01/node1/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp01/node1/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,15 @@
+*** TEST 1 -- NODE 1 ***
+Creating task 1 (Global)
+Creating task 2 (Global)
+Creating task 3 (Local)
+MA1 - clock_get -  9: 0: 0   12/31/1988
+MA2 - clock_get -  9: 0: 0   12/31/1988
+MA3 - clock_get -  9: 0: 0   12/31/1988
+MA1 - clock_get -  9: 0: 5   12/31/1988
+MA1 - deleting self
+MA2 - clock_get -  9: 0:10   12/31/1988
+MA2 - waiting to be deleted by MA3
+MA3 - clock_get -  9: 0:15   12/31/1988
+MA3 - getting TID of MA2
+MA3 - deleting MA2
+*** END OF TEST 1 ***
Index: c/src/ada-tests/mptests/mp01/node2/mp01.scn
===================================================================
--- c/src/ada-tests/mptests/mp01/node2/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp01/node2/mp01.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,15 @@
+*** TEST 1 -- NODE 2 ***
+Creating task 1 (Global)
+Creating task 2 (Global)
+Creating task 3 (Local)
+SA1 - clock_get -  9: 0: 0   12/31/1988
+SA2 - clock_get -  9: 0: 0   12/31/1988
+SA3 - clock_get -  9: 0: 0   12/31/1988
+SA1 - clock_get -  9: 0: 5   12/31/1988
+SA1 - deleting self
+SA2 - clock_get -  9: 0:10   12/31/1988
+SA2 - waiting to be deleted by SA3
+SA3 - clock_get -  9: 0:15   12/31/1988
+SA3 - getting TID of SA2
+SA3 - deleting SA2
+*** END OF TEST 1 ***
Index: c/src/ada-tests/mptests/mp02/node1/mp02.scn
===================================================================
--- c/src/ada-tests/mptests/mp02/node1/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp02/node1/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 2 -- NODE 1 ***
+Creating test task (Global)
+Getting TID of remote task (all nodes)
+Getting TID of remote task (1 node)
+task_delete of remote task returned the correct error
+task_start of remote task returned the correct error
+task_restart of remote task returned the correct error
+Setting notepad 1 of the remote task to 1
+Getting a notepad of the remote task
+Remote notepad set and read correctly
+*** END OF TEST 2 ***
Index: c/src/ada-tests/mptests/mp02/node2/mp02.scn
===================================================================
--- c/src/ada-tests/mptests/mp02/node2/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp02/node2/mp02.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 2 -- NODE 2 ***
+Creating test task (Global)
+Getting TID of remote task (all nodes)
+Getting TID of remote task (1 node)
+task_delete of remote task returned the correct error
+task_start of remote task returned the correct error
+task_restart of remote task returned the correct error
+Setting notepad 2 of the remote task to 2
+Getting a notepad of the remote task
+Remote notepad set and read correctly
+*** END OF TEST 2 ***
Index: c/src/ada-tests/mptests/mp03/node1/mp03.scn
===================================================================
--- c/src/ada-tests/mptests/mp03/node1/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp03/node1/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 3 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 222
+111  - Suspending remote task
+111  - Resuming remote task
+111  - Suspending remote task
+111  - Resuming remote task
+111  - Suspending remote task
+111  - Resuming remote task
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+222  - have I been suspended???
+*** END OF TEST 3 ***
+
Index: c/src/ada-tests/mptests/mp03/node2/mp03.scn
===================================================================
--- c/src/ada-tests/mptests/mp03/node2/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp03/node2/mp03.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 3 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 111
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+111  - have I been suspended???
+222  - Suspending remote task
+222  - Resuming remote task
+222  - Suspending remote task
+222  - Resuming remote task
+222  - Suspending remote task
+222  - Resuming remote task
+*** END OF TEST 3 ***
+
Index: c/src/ada-tests/mptests/mp04/node1/mp04.scn
===================================================================
--- c/src/ada-tests/mptests/mp04/node1/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp04/node1/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,8 @@
+*** TEST 4 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 222
+Local task priority has been set
+*** END OF TEST 4 ***
Index: c/src/ada-tests/mptests/mp04/node2/mp04.scn
===================================================================
--- c/src/ada-tests/mptests/mp04/node2/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp04/node2/mp04.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,8 @@
+*** TEST 4 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting TID of remote task
+Remote task's name is : 111
+Local task priority has been set
+*** END OF TEST 4 ***
Index: c/src/ada-tests/mptests/mp05/node1/mp05.scn
===================================================================
--- c/src/ada-tests/mptests/mp05/node1/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp05/node1/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 5 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+signal_catch: initializing signal catcher
+Remote task's name is : 222
+Getting TID of remote task
+Sending signal to remote task
+....................................................   
+....................................................   
+*** END OF TEST 5 ***
Index: c/src/ada-tests/mptests/mp05/node2/mp05.scn
===================================================================
--- c/src/ada-tests/mptests/mp05/node2/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp05/node2/mp05.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 5 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+signal_catch: initializing signal catcher
+Remote task's name is : 111
+Getting TID of remote task
+....................................................   
+....................................................   
+*** END OF TEST 5 ***
Index: c/src/ada-tests/mptests/mp06/node1/mp06.scn
===================================================================
--- c/src/ada-tests/mptests/mp06/node1/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp06/node1/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 6 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 222
+Getting TID of remote task
+Sending events to remote task
+....................................................   
+....................................................   
+*** END OF TEST 6 ***
Index: c/src/ada-tests/mptests/mp06/node2/mp06.scn
===================================================================
--- c/src/ada-tests/mptests/mp06/node2/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp06/node2/mp06.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,11 @@
+*** TEST 6 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 111
+Getting TID of remote task
+Receiving events from remote task
+....................................................   
+....................................................   
+event_receive - correctly returned TIMEOUT
+*** END OF TEST 6 ***
Index: c/src/ada-tests/mptests/mp07/node1/mp07.scn
===================================================================
--- c/src/ada-tests/mptests/mp07/node1/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp07/node1/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 7 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 222
+Getting TID of remote task
+Sending first event to remote task
+....................................................   
+....................................................   
+*** END OF TEST 7 ***
Index: c/src/ada-tests/mptests/mp07/node2/mp07.scn
===================================================================
--- c/src/ada-tests/mptests/mp07/node2/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp07/node2/mp07.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 7 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Remote task's name is : 111
+Getting TID of remote task
+....................................................   
+....................................................   
+*** END OF TEST 7 ***
Index: c/src/ada-tests/mptests/mp08/node1/mp08.scn
===================================================================
--- c/src/ada-tests/mptests/mp08/node1/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp08/node1/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 8 -- NODE 1 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting SMID of semaphore
+pvpvpvpvpvp....... 
+(continued) pvp 
+Deleting global semaphore
+*** END OF TEST 8 ***
Index: c/src/ada-tests/mptests/mp08/node2/mp08.scn
===================================================================
--- c/src/ada-tests/mptests/mp08/node2/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp08/node2/mp08.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 8 -- NODE 2 ***
+Creating Test_task (Global)
+Starting Test_task (Global)
+Deleting initialization task
+Getting SMID of semaphore
+semaphore_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT
+pvpvpvpvpvp....... 
+(continued) pvp 
+Global semaphore deleted
+*** END OF TEST 8 ***
Index: c/src/ada-tests/mptests/mp09/node1/mp09.scn
===================================================================
--- c/src/ada-tests/mptests/mp09/node1/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp09/node1/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,20 @@
+*** TEST 9 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Test_task (local)
+Starting Test_task (local)
+Deleting initialization task
+Getting QID of message queue
+Receiving message ...
+Received : 123456789012345
+Receiving message ...
+Received : abcdefghijklmno
+Receiving message ...
+Received : ABCDEFGHIJKLMNO
+Receiver delaying for a second
+message_queue_send : 123456789012345
+Delaying for a second
+message_queue_urgent : abcdefghijklmno
+Delaying for a second
+message_queue_broadcast : ABCDEFGHIJKLMNO
+Delaying for a second
+*** END OF TEST 9 ***
Index: c/src/ada-tests/mptests/mp09/node2/mp09.scn
===================================================================
--- c/src/ada-tests/mptests/mp09/node2/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp09/node2/mp09.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,26 @@
+*** TEST 9 -- NODE 2 ***
+Creating Test_task (local)
+Starting Test_task (local)
+Deleting initialization task
+Getting QID of message queue
+message_queue_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT
+message_queue_send : 123456789012345 
+Delaying for a second
+message_queue_urgent : abcdefghijklmno 
+Delaying for a second
+message_queue_broadcast : ABCDEFGHIJKLMNO 
+Delaying for a second
+Receiving message ...
+Received : 123456789012345 
+Receiving message ...
+Received : abcdefghijklmno 
+Receiving message ...
+Received : ABCDEFGHIJKLMNO 
+Receiver delaying for a second
+Flushing remote empty queue
+0 messages were flushed from remote empty queue
+Send messages to be flushed from remote queue
+Flushing remote queue
+1 messages were flushed from the remote queue
+Waiting for message queue to be deleted
+*** END OF TEST 9 ***
Index: c/src/ada-tests/mptests/mp10/node1/mp10.scn
===================================================================
--- c/src/ada-tests/mptests/mp10/node1/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp10/node1/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,4 @@
+*** TEST 10 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Semaphore (Global)
+*** END OF TEST 10 ***
Index: c/src/ada-tests/mptests/mp10/node2/mp10.scn
===================================================================
--- c/src/ada-tests/mptests/mp10/node2/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp10/node2/mp10.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,18 @@
+*** TEST 10 -- NODE 2 ***
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Creating Test_task 3 (local)
+Starting Test_task 3 (local)
+Sleeping for 1 second ...
+Getting QID of message queue
+Attempting to receive message ...
+Getting SMID of semaphore
+Attempting to acquire semaphore ...
+Getting SMID of semaphore
+Attempting to acquire semaphore ...
+Deleting Test_task 2
+Deleting Test_task 1
+Restarting Test_task 3
+*** END OF TEST 10 ***
Index: c/src/ada-tests/mptests/mp11/node1/mp11.scn
===================================================================
--- c/src/ada-tests/mptests/mp11/node1/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp11/node1/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,10 @@
+*** TEST 11 -- NODE 1 ***
+Attempting to create Test_task (Global)
+task_create correctly returned TOO_MANY
+Attempting to create Message Queue (Global)
+message_queue_create correctly returned TOO_MANY
+Creating Semaphore (Global)
+semaphore_create correctly returned TOO_MANY
+Creating Partition (Global)
+partition_create correctly returned TOO_MANY
+*** END OF TEST 11 ***
Index: c/src/ada-tests/mptests/mp11/node2/mp11.scn
===================================================================
--- c/src/ada-tests/mptests/mp11/node2/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp11/node2/mp11.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,2 @@
+*** TEST 11 -- NODE 2 ***
+*** END OF TEST 11 ***
Index: c/src/ada-tests/mptests/mp12/node1/mp12.scn
===================================================================
--- c/src/ada-tests/mptests/mp12/node1/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp12/node1/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,6 @@
+*** TEST 12 -- NODE 1 ***
+Got to the initialization task
+Creating Partition (Global)
+Sleeping for three seconds
+Deleting Partition (Global)
+*** END OF TEST 12 ***
Index: c/src/ada-tests/mptests/mp12/node2/mp12.scn
===================================================================
--- c/src/ada-tests/mptests/mp12/node2/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp12/node2/mp12.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,9 @@
+*** TEST 12 -- NODE 2 ***
+Got to the initialization task
+Getting ID of remote Partition (Global)
+Attempting to delete remote Partition (Global)
+partition_delete correctly returned ILLEGAL_ON_REMOTE_OBJECT!!
+Obtaining a buffer from the global partition
+Address returned was : 0x200f0000
+NOTE: Address printed will probably differ!!!
+*** END OF TEST 12 ***
Index: c/src/ada-tests/mptests/mp13/node1/mp13.scn
===================================================================
--- c/src/ada-tests/mptests/mp13/node1/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp13/node1/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,14 @@
+*** TEST 13 -- NODE 1 ***
+Creating Message Queue (Global)
+Creating Semaphore (Global)
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Getting QID of message queue
+Receiving message ...
+Getting SMID of semaphore
+Releasing semaphore ...
+Getting semaphore ...
+Getting semaphore ...
+*** END OF TEST 13 ***
Index: c/src/ada-tests/mptests/mp13/node2/mp13.scn
===================================================================
--- c/src/ada-tests/mptests/mp13/node2/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp13/node2/mp13.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,16 @@
+*** TEST 13 -- NODE 2 ***
+Creating Test_task 1 (local)
+Starting Test_task 1 (local)
+Creating Test_task 2 (local)
+Starting Test_task 2 (local)
+Deleting initialization task
+Getting QID of message queue
+Getting SMID of semaphore
+Getting semaphore ...
+Releasing semaphore ...
+Receiving message ...
+Getting semaphore ...
+message_queue_receive correctly returned TIMEOUT
+Deleting self
+semaphore_obtain correctly returned TIMEOUT
+*** END OF TEST 13 ***
Index: c/src/ada-tests/mptests/mp14/node1/mp14.scn
===================================================================
--- c/src/ada-tests/mptests/mp14/node1/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp14/node1/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,33 @@
+*** TEST 14 -- NODE 1 ***
+Creating Semaphore (Global)
+Creating Message Queue (Global)
+Creating Partition (Global)
+Creating Event task (Global)
+Starting  Event task (Global)
+Creating Semaphore task (Global)
+About to go to sleep!
+Starting  Semaphore task (Global)
+Creating Message Queue task (Global)
+Getting SMID of semaphore
+Starting  Message Queue task (Global)
+Creating Partition task (Global)
+Getting ID of msg queue
+Starting  Partition task (Global)
+Getting ID of partition
+Waking up!
+Remote task's name is : 222
+Getting TID of remote task
+Sending events to remote task
+<stream of following characters>
+. - indicates 100 iterations of 
+tm_evafter of 1 tick and event_receive.
+e - indicates that 100 
+events have been sent to the remote task.
+m - indicates 100 iterations of 
+message_queue_send and message_queue_receive.
+p - indicates 100 iterations of 
+partition_get_buffer and partition_return_buffer.
+s - indicates 100 iterations of 
+semaphore_obtain and semaphore_release.
+NOTE: The characters in the stream could begin to appear whenever any
+task is started.
Index: c/src/ada-tests/mptests/mp14/node2/mp14.scn
===================================================================
--- c/src/ada-tests/mptests/mp14/node2/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
+++ c/src/ada-tests/mptests/mp14/node2/mp14.scn	(revision 9917d5da0143ed183c9027a509ec85eab4b2d0e3)
@@ -0,0 +1,28 @@
+*** TEST 14 -- NODE 2 ***
+Creating Event task (Global)
+Starting  Event task (Global)
+Creating Semaphore task (Global)
+About to go to sleep!
+Starting  Semaphore task (Global)
+Creating Message Queue task (Global)
+Getting SMID of semaphore
+Starting  Message Queue task (Global)
+Creating Partition task (Global)
+Getting ID of msg queue
+Starting  Partition task (Global)
+Getting ID of partition
+Waking up!
+Remote task's name is : 111
+Getting TID of remote task
+Receiving events from remote task
+<stream of following characters>
+. - indicates 100 iterations of 
+tm_evafter of 1 tick and event_receive.
+e - indicates that 100 
+events have been sent to the remote task.
+m - indicates 100 iterations of 
+message_queue_send and message_queue_receive.
+p - indicates 100 iterations of 
+partition_get_buffer and partition_return_buffer.
+s - indicates 100 iterations of 
+semaphore_obtain and semaphore_release.