Index: make/custom/dmv152.cfg
===================================================================
--- make/custom/dmv152.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/dmv152.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -66,5 +66,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -76,5 +76,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/dmv177.cfg
===================================================================
--- make/custom/dmv177.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/dmv177.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -111,5 +111,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/efi332.cfg
===================================================================
--- make/custom/efi332.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/efi332.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -57,5 +57,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -67,5 +67,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/efi68k.cfg
===================================================================
--- make/custom/efi68k.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/efi68k.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -57,5 +57,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -67,5 +67,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/force386.cfg
===================================================================
--- make/custom/force386.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/force386.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -58,5 +58,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -68,5 +68,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/i386ex.cfg
===================================================================
--- make/custom/i386ex.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/i386ex.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -59,5 +59,5 @@
 	$(OBJCOPY) -O srec $(basename $@).coff $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	          $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	          $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).coff > $(basename $@).num
 	$(SIZE) $(basename $@).coff
@@ -69,5 +69,5 @@
 	$(OBJCOPY) -O srec $(basename $@).coff $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	          $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	          $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).coff > $(basename $@).num
 	$(SIZE) $(basename $@).coff
Index: make/custom/idp.cfg
===================================================================
--- make/custom/idp.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/idp.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -59,5 +59,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -69,5 +69,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/mvme136.cfg
===================================================================
--- make/custom/mvme136.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/mvme136.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -55,5 +55,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -65,5 +65,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/mvme147.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -52,5 +52,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -62,5 +62,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
Index: make/custom/mvme162.cfg
===================================================================
--- make/custom/mvme162.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/mvme162.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -92,5 +92,5 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
@@ -102,8 +102,12 @@
 	$(OBJCOPY) -O srec $(basename $@).nxe $(basename $@).i
 	$(SED) -e 's/.$$//' -e '/^S0/d' $(basename $@).i | \
-	    $(PROJECT_TOOLS)/packhex > $(basename $@).exe
+	    $(PACKHEX) > $(basename $@).exe
 	$(NM) -g -n $(basename $@).nxe > $(basename $@).num
 	$(SIZE) $(basename $@).nxe
 endef
 endif
+
 # Miscellaneous additions go here
+
+# BSP-specific tools
+SLOAD=$(PROJECT_TOOLS)/sload
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/pc386.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -77,5 +77,5 @@
 	    --strip-unneeded $(basename $@).obj $@
 	$(OBJCOPY) -O binary $(basename $@).obj $(basename $@).bin
-	$(PROJECT_TOOLS)/bin2boot -v $(basename $@).bt $(HEADERADDR)\
+	$(BIN2BOOT) -v $(basename $@).bt $(HEADERADDR)\
 	  $(START16FILE) $(START16ADDR) 0 $(basename $@).bin $(RELOCADDR) 0
 	$(NM) -g -n $(basename $@).obj > $(basename $@).num
@@ -106,2 +106,5 @@
 
 # Miscellaneous additions go here
+
+# BSP-specific tools
+BIN2BOOT=$(PROJECT_TOOLS)/bin2boot
Index: make/custom/posix.cfg
===================================================================
--- make/custom/posix.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/posix.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -36,2 +36,4 @@
 endif
 
+# BSP-specific tools
+GENSIZE=$(PROJECT_RELEASE)/bin/gensize
Index: make/custom/simhppa.cfg
===================================================================
--- make/custom/simhppa.cfg	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/custom/simhppa.cfg	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -133,2 +133,10 @@
 	$(LDARGS) $(LD) $(LDFLAGS_INCOMPLETE) $(XLDFLAGS) -o $@ $(OBJS)
 endef
+
+# Miscellaneous additions go here
+
+# BSP-specific tools
+PRINTDUMP=$(PROJECT_TOOLS)/print_dump
+
+# CPU-specific tools
+GENOFFSETS=$(PROJECT_RELEASE)/bin/genoffsets
Index: make/host.cfg.in
===================================================================
--- make/host.cfg.in	(revision 1fdc990e98ed42653a7e9cba401fbe88148f99d2)
+++ make/host.cfg.in	(revision 011677f8fc6ce37832e88a65500b7c08e9dba73e)
@@ -30,4 +30,7 @@
 SED=@SED@
 M4=@M4@
+
+# Global tools
+PACKHEX=$(PROJECT_TOOLS)/packhex
 
 INSTALL=$(PROJECT_TOOLS)/install-if-change