Index: c/src/lib/libbsp/arm/gba/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gba/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/arm/gba/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/arm/gba/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/arm/gba/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/arm/gba/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -20,8 +20,8 @@
  */
 void bsp_get_work_area(
-  void   **work_area_start,
-  size_t  *work_area_size,
-  void   **heap_start,
-  size_t  *heap_size
+  void    **work_area_start,
+  ssize_t  *work_area_size,
+  void    **heap_start,
+  ssize_t  *heap_size
 )
 {
Index: c/src/lib/libbsp/arm/nds/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/nds/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/arm/nds/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/arm/nds/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/arm/nds/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/arm/nds/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -23,8 +23,8 @@
  */
 void bsp_get_work_area(
-  void   **work_area_start,
-  size_t  *work_area_size,
-  void   **heap_start,
-  size_t  *heap_size
+  void    **work_area_start,
+  ssize_t  *work_area_size,
+  void    **heap_start,
+  ssize_t  *heap_size
 )
 {
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-10-02	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/i386/pc386/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -112,8 +112,4 @@
  */
 void bsp_get_work_area(
-  void   **work_area_start,
-  size_t  *work_area_size,
-  void   **heap_start,
-  size_t  *heap_size
 )
 {
@@ -121,5 +117,5 @@
   *work_area_size  = (uintptr_t) bsp_mem_size - (uintptr_t) rtemsFreeMemStart;
   *heap_start      = BSP_BOOTCARD_HEAP_USES_WORK_AREA;
-  *heap_size       = (size_t) HeapSize;
+  *heap_size       = (ssize_t) HeapSize;
 
   #if 0
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-09-30	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -34,7 +34,7 @@
 void bsp_get_work_area(
   void    **work_area_start,
-  size_t   *work_area_size,
+  ssize_t  *work_area_size,
   void    **heap_start,
-  size_t   *heap_size
+  ssize_t  *heap_size
 )
 {
@@ -43,4 +43,4 @@
         MPC55XX_INTERRUPT_STACK_SIZE - bsp_section_bss_end;
   *heap_start = bsp_external_ram_start;
-  *heap_size = (size_t) bsp_external_ram_size;
+  *heap_size = (ssize_t) bsp_external_ram_size;
 }
Index: c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-09-30	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/tqm8xx/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/powerpc/tqm8xx/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -27,8 +27,8 @@
 
 void bsp_get_work_area(
-  void **work_area_start,
-  size_t *work_area_size,
-  void **heap_start,
-  size_t *heap_size
+  void    **work_area_start,
+  ssize_t  *work_area_size,
+  void    **heap_start,
+  ssize_t  *heap_size
 )
 {
Index: c/src/lib/libbsp/unix/posix/ChangeLog
===================================================================
--- c/src/lib/libbsp/unix/posix/ChangeLog	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/unix/posix/ChangeLog	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -1,2 +1,8 @@
+2008-10-02	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* startup/bspgetworkarea.c: Change size_t to ssize_t on
+	bsp_get_work_area(). On 16-bit architectures, size_t can be 16-bits
+	which would limit the work area to 64K.
+
 2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/unix/posix/startup/bspgetworkarea.c
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/bspgetworkarea.c	(revision c7932deda1d5aa1114f3b27238893310c27f607f)
+++ c/src/lib/libbsp/unix/posix/startup/bspgetworkarea.c	(revision 12838f7579c3b60f0bed242741756c72f074e0f2)
@@ -15,8 +15,8 @@
 
 void bsp_get_work_area(
-  void   **work_area_start,
-  size_t  *work_area_size,
-  void   **heap_start,
-  size_t  *heap_size
+  void    **work_area_start,
+  ssize_t  *work_area_size,
+  void    **heap_start,
+  ssize_t  *heap_size
 )
 {