Index: c/src/lib/libbsp/i960/cvme961/ChangeLog
===================================================================
--- c/src/lib/libbsp/i960/cvme961/ChangeLog	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/ChangeLog	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -1,2 +1,14 @@
+2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	Makefile.am: Reflect having moved automake.
+	clock/Makefile.am: Reflect having moved automake.
+	console/Makefile.am: Reflect having moved automake.
+	include/Makefile.am: Reflect having moved automake.
+	shmsupp/Makefile.am: Reflect having moved automake.
+	start/Makefile.am: Reflect having moved automake.
+	startup/Makefile.am: Reflect having moved automake.
+	timer/Makefile.am: Reflect having moved automake.
+	wrapup/Makefile.am: Reflect having moved automake.
+
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i960/cvme961/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,4 +13,4 @@
 EXTRA_DIST = bsp_specs times
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/subdirs.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/clock/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/clock/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = ckinit.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/console/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/console/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = console.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/include/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/include/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -21,3 +21,3 @@
 all-local: $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/shmsupp/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/shmsupp/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = addrconv.c getcfg.c lock.c mpisr.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/start/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/start/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -8,6 +8,6 @@
 OBJS = $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -30,3 +30,3 @@
 EXTRA_DIST = start.S
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/startup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -14,6 +14,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -38,3 +38,3 @@
 EXTRA_DIST = bspclean.c bspstart.c exit.c linkcmds setvec.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/timer/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/timer/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -14,6 +14,6 @@
 OBJS = $(C_O_FILES) $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -32,3 +32,3 @@
 EXTRA_DIST = timer.c timerisr.S
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/i960/cvme961/wrapup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,6 +13,6 @@
 BSP_FILES = startup clock console timer $(BSP_MP_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
@@ -32,3 +32,3 @@
 all-local: ${ARCH} $(LIB)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -1,2 +1,14 @@
+2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	Makefile.am: Reflect having moved automake.
+	clock/Makefile.am: Reflect having moved automake.
+	console/Makefile.am: Reflect having moved automake.
+	include/Makefile.am: Reflect having moved automake.
+	shmsupp/Makefile.am: Reflect having moved automake.
+	start/Makefile.am: Reflect having moved automake.
+	startup/Makefile.am: Reflect having moved automake.
+	timer/Makefile.am: Reflect having moved automake.
+	wrapup/Makefile.am: Reflect having moved automake.
+
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme136/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,4 +13,4 @@
 EXTRA_DIST = bsp_specs times
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/subdirs.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/clock/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/clock/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = ckinit.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/console/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/console/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 EXTRA_DIST = console.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/include/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -17,3 +17,3 @@
 all-local: $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/shmsupp/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/shmsupp/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -31,3 +31,3 @@
 EXTRA_DIST = addrconv.c getcfg.c lock.c mpisr.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/start/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/start/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -10,6 +10,6 @@
 OBJS = $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -30,3 +30,3 @@
 .PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/startup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -14,6 +14,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -38,3 +38,3 @@
 EXTRA_DIST = bspclean.c bspstart.c linkcmds
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/timer/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/timer/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -14,6 +14,6 @@
 OBJS = $(C_O_FILES) $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -32,3 +32,3 @@
 EXTRA_DIST = timer.c timerisr.S
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme136/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/wrapup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme136/wrapup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -3,6 +3,6 @@
 ##
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 if HAS_MP
@@ -31,3 +31,3 @@
 all-local: $(ARCH) $(LIB)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -1,2 +1,14 @@
+2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	Makefile.am: Reflect having moved automake.
+	clock/Makefile.am: Reflect having moved automake.
+	console/Makefile.am: Reflect having moved automake.
+	include/Makefile.am: Reflect having moved automake.
+	shmsupp/Makefile.am: Reflect having moved automake.
+	start/Makefile.am: Reflect having moved automake.
+	startup/Makefile.am: Reflect having moved automake.
+	timer/Makefile.am: Reflect having moved automake.
+	wrapup/Makefile.am: Reflect having moved automake.
+
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147s/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,4 +13,4 @@
 EXTRA_DIST = bsp_specs times
 
-include $(top_srcdir)/../../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/subdirs.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/clock/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/clock/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,6 +13,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 .PRECIOUS: $(PGM)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/console/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/console/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -13,6 +13,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -29,3 +29,3 @@
 .PRECIOUS: $(PGM)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/include/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -17,3 +17,3 @@
 all-local: $(TMPINSTALL_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/shmsupp/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/shmsupp/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -11,6 +11,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -31,3 +31,3 @@
 EXTRA_DIST = addrconv.c getcfg.c lock.c mpisr.c
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -10,6 +10,6 @@
 OBJS = $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -30,3 +30,3 @@
 .PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -14,6 +14,6 @@
 OBJS = $(C_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -38,3 +38,3 @@
 EXTRA_DIST = bspstart.c linkcmds
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/timer/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/timer/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -16,6 +16,6 @@
 OBJS = $(C_O_FILES) $(S_O_FILES)
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 #
@@ -32,3 +32,3 @@
 .PRECIOUS: $(PGM)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/wrapup/Makefile.am	(revision 88daa3d3eb86c43d47a6a2f0a0bdb15cd1c1a007)
+++ c/src/lib/libbsp/m68k/mvme147s/wrapup/Makefile.am	(revision 13435c738d15968c75d78b7a6c4e47a53bc8d380)
@@ -3,6 +3,6 @@
 ##
 
-include $(top_srcdir)/../../../../../../automake/compile.am
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../../../automake/lib.am
 
 if HAS_MP
@@ -31,3 +31,3 @@
 all-local: $(ARCH) $(LIB)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../automake/local.am