Index: cpukit/libmisc/ChangeLog
===================================================================
--- cpukit/libmisc/ChangeLog	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ cpukit/libmisc/ChangeLog	(revision 13962be6035993f0a625e222adcf4efb2cda844a)
@@ -1,2 +1,19 @@
+2003-11-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* capture/Makefile.am: Remove.
+	* cpuuse/Makefile.am: Remove.
+	* devnull/Makefile.am: Remove.
+	* dummy/Makefile.am: Remove.
+	* dumpbuf/Makefile.am: Remove.
+	* fsmount/Makefile.am: Remove.
+	* monitor/Makefile.am: Remove.
+	* mw-fb/Makefile.am: Remove.
+	* rtmonuse/Makefile.am: Remove.
+	* serdbg/Makefile.am: Remove.
+	* shell/Makefile.am: Remove.
+	* stackchk/Makefile.am: Remove.
+	* untar/Makefile.am: Remove.
+	* Makefile.am: Merge-in the Makefile.ams above.
+
 2003-11-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/libmisc/Makefile.am
===================================================================
--- cpukit/libmisc/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ cpukit/libmisc/Makefile.am	(revision 13962be6035993f0a625e222adcf4efb2cda844a)
@@ -3,9 +3,279 @@
 ##
 
-SUBDIRS = capture cpuuse devnull dummy dumpbuf monitor mw-fb shell \
-          rtmonuse serdbg stackchk untar fsmount
+include $(top_srcdir)/automake/compile.am
+include $(top_srcdir)/automake/lib.am
 
 EXTRA_DIST = README
 
-include $(top_srcdir)/automake/subdirs.am
+AM_CPPFLAGS += -I$(top_builddir)
+
+include_rtemsdir = $(includedir)/rtems
+include_HEADERS =
+include_rtems_HEADERS =
+noinst_HEADERS =
+
+## capture
+
+libcapture_C_FILES = capture/capture.c capture/capture-cli.c
+libcapture_OBJS = $(C_FILES:capture/%.c=capture/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += capture/capture.h capture/capture-cli.h
+
+capture/$(ARCH):
+	@$(mkinstalldirs) $@
+capture/$(ARCH)/%.$(OBJEXT): capture/%.c
+	${COMPILE} -o $@ -c $<
+capture/$(ARCH)/libcapture.a: $(libcapture_OBJS)
+	$(make-library)
+
+LIBS += capture/$(ARCH) capture/$(ARCH)/libcapture.a
+
+EXTRA_DIST += capture/README capture/capture.c capture/capture-cli.c
+
+## cpuuse
+
+libcpuuse_C_FILES = cpuuse/cpuuse.c
+libcpuuse_OBJS = $(libcpuuse_C_FILES:cpuuse/%.c=cpuuse/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += cpuuse/cpuuse.h
+
+cpuuse/$(ARCH):
+	@$(mkinstalldirs) $@
+cpuuse/$(ARCH)/%.$(OBJEXT): cpuuse/%.c
+	${COMPILE} -o $@ -c $<
+cpuuse/$(ARCH)/libcpuuse.a: $(libcpuuse_OBJS)
+	$(make-library)
+
+LIBS += cpuuse/$(ARCH) cpuuse/$(ARCH)/libcpuuse.a
+EXTRA_DIST += cpuuse/README cpuuse/cpuuse.c
+
+## devnull
+
+libdevnull_C_FILES = devnull/devnull.c
+libdevnull_OBJS = $(libdevnull_C_FILES:devnull/%.c=devnull/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += devnull/devnull.h
+
+devnull/$(ARCH):
+	@$(mkinstalldirs) $@
+devnull/$(ARCH)/%.$(OBJEXT): devnull/%.c
+	${COMPILE} -o $@ -c $<
+devnull/$(ARCH)/libdevnull.a: $(libdevnull_OBJS)
+	$(make-library)
+
+LIBS += devnull/$(ARCH) devnull/$(ARCH)/libdevnull.a
+
+EXTRA_DIST += devnull/devnull.c
+
+## dummy
+
+libdummy_C_FILES = dummy/dummy.c
+libdummy_OBJS = $(libdummy_C_FILES:dummy/%.c=dummy/$(ARCH)/%.$(OBJEXT))
+
+dummy/$(ARCH):
+	@$(mkinstalldirs) $@
+dummy/$(ARCH)/%.$(OBJEXT): dummy/%.c
+	${COMPILE} -o $@ -c $<
+dummy/$(ARCH)/libdummy.a: $(libdummy_OBJS)
+	$(make-library)
+
+LIBS += dummy/$(ARCH) dummy/$(ARCH)/libdummy.a
+
+EXTRA_DIST += dummy/README dummy/dummy.c
+
+## dumpbuf
+
+libdumpbuf_C_FILES = dumpbuf/dumpbuf.c
+libdumpbuf_OBJS = $(libdumpbuf_C_FILES:dumpbuf/%.c=dumpbuf/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += dumpbuf/dumpbuf.h
+
+dumpbuf/$(ARCH):
+	@$(mkinstalldirs) $@
+dumpbuf/$(ARCH)/%.$(OBJEXT): dumpbuf/%.c
+	${COMPILE} -o $@ -c $<
+dumpbuf/$(ARCH)/libdumpbuf.a: $(libdumpbuf_OBJS)
+	$(make-library)
+
+LIBS += dumpbuf/$(ARCH) dumpbuf/$(ARCH)/libdumpbuf.a
+
+EXTRA_DIST += dumpbuf/dumpbuf.c
+
+## monitor
+
+# We only build multiprocessing related files if HAS_MP was defined
+libmonitor_MP_C_FILES = monitor/mon-mpci.c
+
+libmonitor_C_FILES = monitor/mon-command.c monitor/mon-symbols.c monitor/mon-prmisc.c monitor/mon-monitor.c \
+    monitor/mon-object.c monitor/mon-server.c monitor/mon-task.c monitor/mon-queue.c monitor/mon-driver.c \
+    monitor/mon-dname.c monitor/mon-itask.c monitor/mon-extension.c monitor/mon-manager.c monitor/mon-config.c
+
+libmonitor_OBJS = $(libmonitor_C_FILES:monitor/%.c=monitor/$(ARCH)/%.$(OBJEXT))
+if HAS_MP
+libmonitor_OBJS += $(libmonitor_MP_C_FILES:monitor/%.c=monitor/$(ARCH)/%.$(OBJEXT))
+endif
+
+include_rtems_HEADERS += monitor/monitor.h
+
+noinst_HEADERS += monitor/symbols.h
+
+monitor/$(ARCH):
+	@$(mkinstalldirs) $@
+monitor/$(ARCH)/%.$(OBJEXT): monitor/%.c
+	${COMPILE} -o $@ -c $<
+monitor/$(ARCH)/libmonitor.a: $(libmonitor_OBJS)
+	$(make-library)
+
+LIBS += monitor/$(ARCH) monitor/$(ARCH)/libmonitor.a
+
+EXTRA_DIST += monitor/README monitor/mon-command.c monitor/mon-config.c monitor/mon-dname.c monitor/mon-driver.c \
+    monitor/mon-extension.c monitor/mon-itask.c monitor/mon-manager.c monitor/mon-monitor.c monitor/mon-mpci.c \
+    monitor/mon-object.c monitor/mon-prmisc.c monitor/mon-queue.c monitor/mon-server.c monitor/mon-symbols.c \
+    monitor/mon-task.c
+
+## mw-fb
+
+libmw_fb_C_FILES = mw-fb/mw_fb.c mw-fb/mw_uid.c
+libmw_fb_OBJS = $(libmw_fb_C_FILES:mw-fb/%.c=mw-fb/${ARCH}/%.$(OBJEXT))
+
+include_rtems_HEADERS += mw-fb/mw_fb.h mw-fb/mw_uid.h
+
+mw-fb/$(ARCH):
+	@$(mkinstalldirs) $@
+mw-fb/$(ARCH)/%.$(OBJEXT): mw-fb/%.c
+	${COMPILE} -o $@ -c $<
+mw-fb/$(ARCH)/libmw-fb.a: $(libmw_fb_OBJS)
+	$(make-library)
+
+LIBS += mw-fb/$(ARCH) mw-fb/$(ARCH)/libmw-fb.a
+
+EXTRA_DIST += $(libmw_fb_C_FILES)
+
+## shell
+
+libshell_C_FILES = shell/cmds.c shell/shell.c 
+libshell_OBJS = $(libshell_C_FILES:shell/%.c=shell/$(ARCH)/%.$(OBJEXT))
+
+if LIBSHELL
+include_rtems_HEADERS += shell/shell.h
+endif
+
+shell/$(ARCH):
+	@$(mkinstalldirs) $@
+shell/$(ARCH)/%.$(OBJEXT): shell/%.c
+	${COMPILE} -o $@ -c $<
+shell/$(ARCH)/libshell.a: $(libshell_OBJS)
+	$(make-library)
+
+if LIBSHELL
+LIBS += shell/$(ARCH) shell/$(ARCH)/libshell.a
+endif
+
+EXTRA_DIST += shell/README shell/shell.c shell/cmds.c
+
+## rtmonuse
+
+librtmonuse_C_FILES = rtmonuse/rtmonuse.c
+librtmonuse_OBJS = $(librtmonuse_C_FILES:rtmonuse/%.c=rtmonuse/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += rtmonuse/rtmonuse.h
+
+rtmonuse/$(ARCH):
+	@$(mkinstalldirs) $@
+rtmonuse/$(ARCH)/%.$(OBJEXT): rtmonuse/%.c
+	${COMPILE} -o $@ -c $<
+rtmonuse/$(ARCH)/librtmonuse.a: $(librtmonuse_OBJS)
+	$(make-library)
+
+LIBS += rtmonuse/$(ARCH) rtmonuse/$(ARCH)/librtmonuse.a
+
+EXTRA_DIST += rtmonuse/rtmonuse.c
+
+## serdbg
+
+libserdbg_C_FILES = serdbg/serdbg.c serdbg/serdbgio.c serdbg/termios_printk.c
+libserdbg_OBJS = $(libserdbg_C_FILES:serdbg/%.c=serdbg/$(ARCH)/%.$(OBJEXT))
+
+if LIBSERDBG
+include_HEADERS += serdbg/serdbgcnf.h serdbg/serdbg.h serdbg/termios_printk_cnf.h \
+                  serdbg/termios_printk.h
+endif
+
+serdbg/$(ARCH):
+	@$(mkinstalldirs) $@
+serdbg/$(ARCH)/%.$(OBJEXT): serdbg/%.c
+	${COMPILE} -o $@ -c $<
+serdbg/$(ARCH)/libserdbg.a: $(libserdbg_OBJS)
+	$(make-library)
+
+if LIBSERDBG
+LIBS += serdbg/$(ARCH) serdbg/$(ARCH)/libserdbg.a
+endif
+
+EXTRA_DIST += serdbg/README serdbg/serdbg.c serdbg/serdbgio.c serdbg/serdbgcnf.h serdbg/serdbg.h \
+             serdbg/termios_printk.c serdbg/termios_printk.h serdbg/termios_printk_cnf.h
+
+## stackchk
+
+libstackchk_C_FILES = stackchk/check.c
+libstackchk_OBJS = $(libstackchk_C_FILES:stackchk/%.c=stackchk/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += stackchk/stackchk.h
+
+noinst_HEADERS += stackchk/internal.h
+
+stackchk/$(ARCH):
+	@$(mkinstalldirs) $@
+stackchk/$(ARCH)/%.$(OBJEXT): stackchk/%.c
+	${COMPILE} -o $@ -c $<
+stackchk/$(ARCH)/libstackchk.a: $(libstackchk_OBJS)
+	$(make-library)
+
+LIBS += stackchk/$(ARCH) stackchk/$(ARCH)/libstackchk.a
+
+EXTRA_DIST += stackchk/README stackchk/check.c
+
+## libuntar
+
+libuntar_C_FILES = untar/untar.c
+libuntar_OBJS = $(libuntar_C_FILES:untar/%.c=untar/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += untar/untar.h
+
+untar/$(ARCH):
+	@$(mkinstalldirs) $@
+untar/$(ARCH)/%.$(OBJEXT): untar/%.c
+	${COMPILE} -o $@ -c $<
+untar/$(ARCH)/libuntar.a: $(libuntar_OBJS)
+	$(make-library)
+
+LIBS += untar/$(ARCH) untar/$(ARCH)/libuntar.a
+
+EXTRA_DIST += untar/README untar/untar.c
+
+## fsmount
+
+libfsmount_C_FILES = fsmount/fsmount.c
+libfsmount_OBJS = $(libfsmount_C_FILES:fsmount/%.c=fsmount/$(ARCH)/%.$(OBJEXT))
+
+include_rtems_HEADERS += fsmount/fsmount.h
+
+fsmount/$(ARCH):
+	@$(mkinstalldirs) $@
+fsmount/$(ARCH)/%.$(OBJEXT): fsmount/%.c
+	${COMPILE} -o $@ -c $<
+fsmount/$(ARCH)/libfsmount.a: $(libfsmount_OBJS)
+	$(make-library)
+
+LIBS += fsmount/$(ARCH) fsmount/$(ARCH)/libfsmount.a
+
+EXTRA_DIST += fsmount/README fsmount/fsmount.c
+
+## ---
+
+all-local: $(LIBS)
+.PRECIOUS: $(LIBS)
+
+CLEANDIRS = */$(ARCH)
+
 include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/capture/Makefile.am
===================================================================
--- cpukit/libmisc/capture/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,41 +1,0 @@
-##
-## $Id$
-##
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libcapture
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = capture.c capture-cli.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = capture.h capture-cli.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README capture.c capture-cli.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/cpuuse/Makefile.am
===================================================================
--- cpukit/libmisc/cpuuse/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libcpuuse
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = cpuuse.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = cpuuse.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README cpuuse.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/devnull/Makefile.am
===================================================================
--- cpukit/libmisc/devnull/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libdevnull
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = devnull.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = devnull.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = devnull.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/dummy/Makefile.am
===================================================================
--- cpukit/libmisc/dummy/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-
-LIBNAME = libdummy
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = dummy.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README dummy.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/dumpbuf/Makefile.am
===================================================================
--- cpukit/libmisc/dumpbuf/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libdumpbuf
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = dumpbuf.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = dumpbuf.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = dumpbuf.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/fsmount/Makefile.am
===================================================================
--- cpukit/libmisc/fsmount/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## Makefile.am,v 1.9 2002/08/11 05:51:17 ralf Exp
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libfsmount
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = fsmount.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = fsmount.h
-
-OBJS = $(C_O_FILES)
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(OBJS) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README fsmount.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/monitor/Makefile.am
===================================================================
--- cpukit/libmisc/monitor/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,56 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libmonitor
-LIB = $(ARCH)/$(LIBNAME).a
-
-# We only build multiprocessing related files if HAS_MP was defined
-MP_C_FILES = mon-mpci.c
-
-C_FILES = mon-command.c mon-symbols.c mon-prmisc.c mon-monitor.c \
-    mon-object.c mon-server.c mon-task.c mon-queue.c mon-driver.c \
-    mon-dname.c mon-itask.c mon-extension.c mon-manager.c mon-config.c
-
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-if HAS_MP
-OBJS += $(MP_C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-endif
-
-include_rtems_HEADERS = monitor.h
-
-noinst_HEADERS = symbols.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README mon-command.c mon-config.c mon-dname.c mon-driver.c \
-    mon-extension.c mon-itask.c mon-manager.c mon-monitor.c mon-mpci.c \
-    mon-object.c mon-prmisc.c mon-queue.c mon-server.c mon-symbols.c \
-    mon-task.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/mw-fb/Makefile.am
===================================================================
--- cpukit/libmisc/mw-fb/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-##  $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libmw-fb
-LIB = ${ARCH}/${LIBNAME}.a
-
-C_FILES = mw_fb.c mw_uid.c
-OBJS = $(C_FILES:%.c=${ARCH}/%.$(OBJEXT))
-
-include_rtems_HEADERS = mw_fb.h mw_uid.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-${LIB}: ${OBJS}
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: ${ARCH} $(PREINSTALL_FILES) $(LIB) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = $(C_FILES)
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/rtmonuse/Makefile.am
===================================================================
--- cpukit/libmisc/rtmonuse/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = librtmonuse
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = rtmonuse.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = rtmonuse.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = rtmonuse.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/serdbg/Makefile.am
===================================================================
--- cpukit/libmisc/serdbg/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,47 +1,0 @@
-##
-## $Id$
-##
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libserdbg
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = serdbg.c serdbgio.c termios_printk.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-if LIBSERDBG
-include_HEADERS = serdbgcnf.h serdbg.h termios_printk_cnf.h \
-                  termios_printk.h
-endif
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE):
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE) \
-    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-if LIBSERDBG
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-endif
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README serdbg.c serdbgio.c serdbgcnf.h serdbg.h \
-             termios_printk.c termios_printk.h termios_printk_cnf.h
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/shell/Makefile.am
===================================================================
--- cpukit/libmisc/shell/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,46 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libshell
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = cmds.c shell.c 
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-if LIBSHELL
-include_rtems_HEADERS = shell.h
-endif
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-if LIBSHELL
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-endif
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README shell.c cmds.c shell.h
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/stackchk/Makefile.am
===================================================================
--- cpukit/libmisc/stackchk/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,44 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libstackchk
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = check.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = stackchk.h
-
-noinst_HEADERS = internal.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README check.c
-
-include $(top_srcdir)/automake/local.am
Index: ukit/libmisc/untar/Makefile.am
===================================================================
--- cpukit/libmisc/untar/Makefile.am	(revision 22ade8e1734cfc9e40fbad75130c79b47ebb2f87)
+++ 	(revision )
@@ -1,42 +1,0 @@
-##
-## $Id$
-##
-
-
-include_rtemsdir = $(includedir)/rtems
-
-LIBNAME = libuntar
-LIB = $(ARCH)/$(LIBNAME).a
-
-C_FILES = untar.c
-OBJS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
-
-include_rtems_HEADERS = untar.h
-
-include $(top_srcdir)/automake/compile.am
-include $(top_srcdir)/automake/lib.am
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-AM_CPPFLAGS += -I$(top_builddir)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-$(LIB): $(OBJS)
-	$(make-library)
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-all-local: $(ARCH) $(PREINSTALL_FILES) $(LIB)
-
-.PRECIOUS: $(LIB)
-
-EXTRA_DIST = README untar.c
-
-include $(top_srcdir)/automake/local.am