Index: c/src/lib/libbsp/c4x/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,13 @@
+Makefile
+Makefile.in
+aclocal.m4
+config.cache
+config.guess
+config.log
+config.status
+config.sub
+configure
+depcomp
+install-sh
+missing
+mkinstalldirs
Index: c/src/lib/libbsp/c4x/c4xsim/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,13 @@
+Makefile
+Makefile.in
+aclocal.m4
+config.cache
+config.guess
+config.log
+config.status
+config.sub
+configure
+depcomp
+install-sh
+missing
+mkinstalldirs
Index: c/src/lib/libbsp/c4x/c4xsim/clock/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/clock/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/clock/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/console/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/console/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/console/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am	(revision 8eacefcc8b6411ea7c32199b09578590b6926e05)
+++ c/src/lib/libbsp/c4x/c4xsim/console/Makefile.am	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -9,5 +9,5 @@
 VPATH = @srcdir@:@srcdir@/../../../shared
 
-C_FILES = console.c consolereserveresources.c debugio.c simio.c printk.c
+C_FILES = console.c consolereserveresources.c debugio.c simio.c
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
Index: c/src/lib/libbsp/c4x/c4xsim/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/include/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/include/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/include/Makefile.am	(revision 8eacefcc8b6411ea7c32199b09578590b6926e05)
+++ c/src/lib/libbsp/c4x/c4xsim/include/Makefile.am	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -13,12 +13,9 @@
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/bspIo.h: $(top_srcdir)/../../shared/include/bspIo.h
-	$(INSTALL_DATA) $< $@
-
 $(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
 	$(INSTALL_DATA) $< $@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
-    $(PROJECT_INCLUDE)/bspIo.h $(PROJECT_INCLUDE)/coverhd.h 
+    $(PROJECT_INCLUDE)/coverhd.h 
 
 all-local: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/c4x/c4xsim/start/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/start/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/start/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/startup/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c	(revision 8eacefcc8b6411ea7c32199b09578590b6926e05)
+++ c/src/lib/libbsp/c4x/c4xsim/startup/bspstart.c	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -105,19 +105,4 @@
     rtems_fatal_error_occurred( 0x43218765 );
   
-
-  /*
-   *  Account for the console's resources
-   */
-
-  console_reserve_resources( &BSP_Configuration );
-
-  /*
-   * Add 1 extension for MPCI_fatal
-   */
-
-  if (BSP_Configuration.User_multiprocessing_table)
-    BSP_Configuration.maximum_extensions++;
-
-  
   BSP_output_char = C4X_BSP_output_char;
   BSP_poll_char = (BSP_polling_getchar_function_type) NULL;
Index: c/src/lib/libbsp/c4x/c4xsim/timer/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/timer/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/timer/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
Index: c/src/lib/libbsp/c4x/c4xsim/tools/.cvsignore
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/tools/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
+++ c/src/lib/libbsp/c4x/c4xsim/tools/.cvsignore	(revision 17508d02bba1d47f4cf884b190566e72f69adb4e)
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in